Bug 135295 - SMB FIND_NEXT2 SMB_FIND_FILE_FULL_DIRECTORY_INFO fails with".." search filename
Summary: SMB FIND_NEXT2 SMB_FIND_FILE_FULL_DIRECTORY_INFO fails with".." search filename
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-11 19:50 UTC by Vern Yetzer
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:16:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vern Yetzer 2004-10-11 19:50:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When a FIND_NEXT2 request with Info Level 
SMB_FIND_FILE_FULL_DIRECTORY_INFO is passed to a server with the 
search pattern "..". The samba server returns a 0xc000003b 
STATUS_OBJECT_PATH_SYNTAX_BAD.  
It should return successfully with a SearchCount = 0.

Version-Release number of selected component (if applicable):
samba-3.0.6.1

How reproducible:
Always

Steps to Reproduce:
1.Access a Linux/samba server with QNTC file system on IBM iSeries 
system (contact Vern Yetzer at 507-253-4006 for details)
2.Access a directory that doesn't contain any files or directorys
3.
    

Actual Results:  FIND_NEXT2 will fail with 
STATUS_OBJECT_PATH_SYNTAX_BAD

Expected Results:  FIND_NEXT2 returns successfully with a SearchCount 
= 0.

Additional info:

Comment 1 Jay Fenlason 2004-10-11 20:10:13 UTC
Have you filed this upstream at bugzilla.samba.org ? 
Also, have you tried the samba-3.0.7 rpms that are currently 
avaliable? 

Comment 2 Vern Yetzer 2004-10-12 12:43:06 UTC
I will try running this against 3.0.7 and update with the results.
I have not filed this with bugzilla.samba.org.  Is that what I should 
be doing?

Comment 3 Vern Yetzer 2004-10-12 16:19:14 UTC
samba-3.0.7-1 works the same way as samba-3.0.6.1


Comment 4 RHEL Product and Program Management 2007-10-19 19:16:24 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.